Skip to content

Create permission spaces in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Create permission spaces in batches, and you can set the permission space name, code, and description information separately.

Method name

ManagementClient.createPermissionNamespacesBatch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a CreatePermissionNamespacesBatchItemDto[]Yes-Permission space list Array length limit: 50.

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.createPermissionNamespacesBatch({
    list: [
      {
        code: "examplePermissionNamespace1",
        name: "Example Permission Space 1",
        description: "Example Permission Space 1 Description",
      },
      {
        code: "examplePermissionNamespace2",
        name: "Example Permission Space 2",
        description: "Example Permission Space 2 Description",
      },
      {
        code: "examplePermissionNamespace3",
        name: "Example Permission Space 3",
        description: "Example Permission Space 3 Description",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

CreatePermissionNamespacesBatchItemDto

NameTypeIs it requiredDescriptionSample value
codestringyesPermission space CodeexamplePermissionNamespace
namestringyesPermission space nameSample permission space
descriptionstringNoPermission space descriptionSample permission space description

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanYesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.